import {
  GetAccountInfo,
  GetAppletQRCode,
  GetLoginInfo,
} from '@/api/interface/common';
import request from '../request';

export class CommonAPI {
  // 测试接口
  static getPageHomeCategories: any = (params: any) =>
    request.get('/pms/product/mall/getPageHomeCategories', { params });

  // 测试接口
  static cooperationListTag: any = (params: any) =>
    request.get('/userapp/cooperation/listTag', { params });

  // 获取二维码
  static getAppletQRCode: GetAppletQRCode = (params) =>
    request.get('/userapp/wx/getAppletQRCode', { params });

  // 查询登录信息
  static getLoginInfo: GetLoginInfo = (params) =>
    request.get('/userapp/temp-auth/getLoginInfo', { params });

  // 获取用户信息
  static getAccountInfo: GetAccountInfo = (params) =>
    request.get('/userapp/user-account/info', { params });
}
